org.keycloak.jose.jwe.alg

## Class RsaKeyEncryption256JWEAlgorithmProvider

- java.lang.Object
- - org.keycloak.jose.jwe.alg.KeyEncryptionJWEAlgorithmProvider
  - - org.keycloak.jose.jwe.alg.RsaKeyEncryption256JWEAlgorithmProvider

- All Implemented Interfaces:
    JWEAlgorithmProvider

      public class RsaKeyEncryption256JWEAlgorithmProvider
      extends KeyEncryptionJWEAlgorithmProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RsaKeyEncryption256JWEAlgorithmProvider(String jcaAlgorithmName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decodeCek(byte[] encodedCek, Key privateKey)`
    `byte[]` | `encodeCek(JWEEncryptionProvider encryptionProvider, JWEKeyStorage keyStorage, Key publicKey)`
    `protected Cipher` | `getCipherProvider()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RsaKeyEncryption256JWEAlgorithmProvider

          public RsaKeyEncryption256JWEAlgorithmProvider(String jcaAlgorithmName)

  - ### Method Detail

    - #### getCipherProvider

          protected Cipher getCipherProvider()
                                      throws Exception

      Specified by:
        `getCipherProvider` in class `KeyEncryptionJWEAlgorithmProvider`
      Throws:
        `Exception`

    - #### decodeCek

          public byte[] decodeCek(byte[] encodedCek,
                                  Key privateKey)
                           throws Exception

      Specified by:
        `decodeCek` in interface `JWEAlgorithmProvider`
      Overrides:
        `decodeCek` in class `KeyEncryptionJWEAlgorithmProvider`
      Throws:
        `Exception`

    - #### encodeCek

          public byte[] encodeCek(JWEEncryptionProvider encryptionProvider,
                                  JWEKeyStorage keyStorage,
                                  Key publicKey)
                           throws Exception

      Specified by:
        `encodeCek` in interface `JWEAlgorithmProvider`
      Overrides:
        `encodeCek` in class `KeyEncryptionJWEAlgorithmProvider`
      Throws:
        `Exception`

Copyright © 2021 JBoss by Red Hat. All rights reserved.